Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching
Class VMStandin

    java.lang.Object
      org.eclipse.jdt.launching.AbstractVMInstall
          org.eclipse.jdt.launching.VMStandin

All Implemented Interfaces:
  IVMInstall

public class VMStandin
extends AbstractVMInstall

An implementation of IVMInstall that is used for manipulating VMs without necessarily committing changes.

Instances of this class act like wrappers. All other instances of IVMInstall represent 'real live' VMs that may be used for building or launching. Instances of this class behave like 'temporary' VMs that are not visible and not available for building or launching.

Instances of this class may be constructed as a preliminary step to creating a 'live' VM or as a preliminary step to making changes to a 'real' VM.

When `convertToRealVM` is called, a corresponding 'real' VM is created if one did not previously exist, or the corresponding 'real' VM is updated.

Clients may instantiate this class; it is not intended to be subclassed.

Since:
  2.1

Constructor Summary
`VMStandin(IVMInstall realVM)` Construct a `VMStandin` instance based on the specified `IVMInstall`.
`VMStandin(IVMInstallType type, String id)`

Method Summary
`IVMInstall` | `convertToRealVM()` If no corresponding 'real' VM exists, create one and populate it from this standin instance.

Methods inherited from class org.eclipse.jdt.launching.AbstractVMInstall
`equals, getId, getInstallLocation, getJavadocLocation, getLibraryLocations, getName, getVMArguments, getVMInstallType, getVMRunner, hashCode, setInstallLocation, setJavadocLocation, setLibraryLocations, setName, setNotify, setVMArguments`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMStandin

    public VMStandin(IVMInstallType type,
                     String id)

### VMStandin

    public VMStandin(IVMInstall realVM)

  Construct a `VMStandin` instance based on the specified `IVMInstall`. Changes to this standin will not be reflected in the 'real' VM until `convertToRealVM` is called.

Parameters:
  `realVM` - the 'real' VM from which to construct this standin VM

Method Detail

### convertToRealVM

    public IVMInstall convertToRealVM()

  If no corresponding 'real' VM exists, create one and populate it from this standin instance. If a corresponding VM exists, update its attributes from this standin instance.

  Returns:
    IVMInstall the 'real' corresponding to this standin VM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.